### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
OISRateHelper Class Reference

Rate helper for bootstrapping over Overnight Indexed Swap rates. More...

`#include <ql/termstructures/yield/oisratehelper.hpp>`

Inheritance diagram for OISRateHelper:
[legend]

List of all members.

## Public Member Functions

| OISRateHelper (Natural settlementDays, const Period &tenor, const Handle< Quote > &fixedRate, const boost::shared_ptr< OvernightIndex > &overnightIndex)
RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
inspectors
boost::shared_ptr < OvernightIndexedSwap > | swap () const
Visitability
void | accept (AcyclicVisitor &)

## Protected Member Functions

void | initializeDates ()

## Protected Attributes

Natural | settlementDays_
Period | tenor_
boost::shared_ptr< OvernightIndex > | overnightIndex_
boost::shared_ptr < OvernightIndexedSwap > | swap_
RelinkableHandle < YieldTermStructure > | termStructureHandle_

## Detailed Description

Rate helper for bootstrapping over Overnight Indexed Swap rates.